package PureMessage::Reports::Consumer::ConnectionsByAction;
use strict;
use warnings;
use base 'PureMessage::Reports::Consumer';

#
# SUG10361 requests the Rejected MTA Connections report in the Groups UI.
# Therefore this consumer is now used by pmx-reports-consume-blocklist-log.
#

sub new {
    my ($class, $dbh) = @_;
    my %opts = (
        mandatory_opts => [qw(groups timestamp action)],
        fact => 'connections_by_action',
        'keys' => 'action',
    );
    return $class->SUPER::new($dbh, %opts);
}

sub _add {
    my ($self, %opts) = @_;

    # Convert the fields to a scalar key, with the tally as the value
    my $groups = $opts{groups};
    foreach my $g (@$groups) {
        my $key = join("\t", $g, 
                    $opts{period_start}, $opts{action});
        $self->{items}{$key} += 1;
    }
}

1;
