package PureMessage::Reports::Consumer::CustomMarkHits;
use strict;
use warnings;
use base 'PureMessage::Reports::Consumer';

sub new {
    my ($class, $dbh) = @_;
    my %opts = (
        mandatory_opts => [qw(groups timestamp policy_marks)],
        fact           => 'custom_mark_hits',
    );
    return $class->SUPER::new($dbh, %opts);
}

sub _add {
    my ($self, %opts) = @_;

    # We only care about inbound messages
    return unless $opts{inbound};

    # Convert the fields to a scalar key, with the tally as the value
    my $groups = $opts{groups};
    my $policy_marks = $opts{policy_marks};
    foreach my $g (@$groups) {
        foreach my $k (keys %$policy_marks) {
            my @marks = ref $policy_marks->{$k} ? @{$policy_marks->{$k}} 
                                                : $policy_marks->{$k};
            foreach my $mark (@marks) {
                my $key  = join("\t", $g, $opts{period_start}, $k, $mark);
                $self->{items}{$key} += 1;
            }
        }
    }
}

1;
