package PureMessage::Reports::Consumer::MsgsByPolicyBlock;
use strict;
use warnings;
use base 'PureMessage::Reports::Consumer';

sub new {
    my ($class, $dbh) = @_;
    my %opts = (
        mandatory_opts => [qw(groups timestamp blocked)],
        fact => 'msgs_by_policy_block',
        'keys' => 'blocked',
    );
    return $class->SUPER::new($dbh, %opts);
}

sub _add {
    my ($self, %opts) = @_;

    # Convert inbound flag to true/false
    $opts{blocked} = $opts{blocked} ? 'true' : 'false';

    # Convert the fields to a scalar key, with the tally as the value
    my $groups = $opts{groups};
    foreach my $g (@$groups) {
        my $key = join("\t", $g, 
                    map {$opts{$_}} 
                      qw(period_start blocked));
        $self->{items}{$key} += 1;
    }
}

1;
