package PureMessage::Reports::Consumer::MsgsByVirus;
use strict;
use warnings;
use base 'PureMessage::Reports::Consumer';

sub new {
    my ($class, $dbh) = @_;
    my %opts = (
        mandatory_opts => [qw(groups timestamp virus_name inbound)],
        fact => 'msgs_by_virus',
        'keys' => 'virus_name,inbound',
    );
    return $class->SUPER::new($dbh, %opts);
}

sub _add {
    my ($self, %opts) = @_;
    die "virus_name must be an arrayref!" unless ref($opts{virus_name}) eq 'ARRAY';

    # Convert the fields to a scalar key, with the tally as the value
    my $groups = $opts{groups};
    foreach my $g (@$groups) {
        foreach my $virus_name (@{$opts{virus_name}}) {
            my $key = join("\t", $g, 
                        $opts{period_start}, $virus_name, $opts{inbound});
            $self->{items}{$key} += 1;
        }
    }
}

1;
