package PureMessage::Reports::Consumer::SendersByType;
use strict;
use warnings;
use base 'PureMessage::Reports::Consumer';

sub new {
    my ($class, $dbh) = @_;
    my %opts = (
        mandatory_opts => [qw(groups timestamp sender type inbound)],
        fact => 'senders_by_type',
        'keys' => 'type,sender,inbound',
    );
    return $class->SUPER::new($dbh, %opts);
}

sub _add {
    my ($self, %opts) = @_;

    # Convert the fields to a scalar key, with the tally as the value
    my $groups = $opts{groups};
    foreach my $g (@$groups) {
        my $key = join("\t", $g, 
                    map {$opts{$_}} 
                      qw(period_start type sender inbound));
        $self->{items}{$key} += 1;
    }
}

1;
