package PureMessage::Reports::Consumer::SpamByRecipient;
use strict;
use warnings;
use base 'PureMessage::Reports::Consumer';

sub new {
    my ($class, $dbh) = @_;
    my %opts = (
        mandatory_opts => [qw(groups timestamp recipients)],
        fact => 'spam_by_recipient',
        'keys' => 'recipient',
    );
    return $class->SUPER::new($dbh, %opts);
}

sub _add {
    my ($self, %opts) = @_;

    # We only care about inbound messages
    return unless $opts{inbound};

    # Convert the fields to a scalar key, with the tally as the value
    my $groups = $opts{groups};
    my $recipients = $opts{recipients};
    foreach my $g (@$groups) {
        foreach my $r (@$recipients) {
            my $key = join("\t", $g, $opts{period_start}, $r);
            $self->{items}{$key} += 1;
        }
    }
}

1;
