package PureMessage::Reports::Consumer::Validate::MessageLog;
use strict;
use warnings;
use base 'Exporter';

our @EXPORT_OK = qw(
    validate_field_at
);

# The database can only accept attachment names 64 bytes in length
sub AT_MAX_FIELD_LENGTH() { 64 }

sub validate_field_at {
    my $value = shift;
    return unless $value;

    # at values may be a string or an array of strings. Handle both 
    # cases.
    if (ref($value) eq "ARRAY") {
        for(my $i =0; $i < @$value; $i++) {
            $value->[$i] = substr($value->[$i], 0, AT_MAX_FIELD_LENGTH);
        }
        return $value;
    }
    else {
        return substr($value, 0, AT_MAX_FIELD_LENGTH);
    }
}


1;

