package PureMessage::Reports::Log;
use strict;
use warnings;
use PureMessage::Logger;
use PureMessage::Config qw(%config);

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my %data = @_;
    my $self = bless \%data, $class;
    
    $self->{'log'} = PureMessage::Logger->new('ident'=> $self->ident);
    if (defined $config{'debug_level'}) {
	$self->{'debug_level'} = $config{'debug_level'};
    }
    else {
	$self->{'debug_level'} = 0;
    }
    return $self;
}

sub debug_level { shift->{'debug_level'} }
sub ident       { shift->{'ident'} }

sub log {
    my ($self, $level, $msg) = @_;
    $self->{'log'}->log($level, $msg);
}

sub vlog {
    my ($self, $msg) = @_;
    $self->log('DEBUG', $msg) if $self->debug_level > 5;
}

sub vvlog {
    my ($self, $msg) = @_;
    $self->log('DEBUG', $msg) if $self->debug_level > 9;
}

sub vvvlog {
    my ($self, $msg) = @_;
    $self->log('DEBUG', $msg) if $self->debug_level > 12;
}
1;
