package PureMessage::Reports::Report::Format::bars_stacked;

###############################################################################
# Required inclusions.
###############################################################################
use strict;
use base qw(PureMessage::Reports::Report::Format::graphical);
use GD::Graph::bars;

###############################################################################
# Returns a suitable chart object.
###############################################################################
sub chart
{
    my ($self) = @_;

    my $chart = GD::Graph::bars->new( $self->{'width'}, $self->{'height'} );
    $chart->set(
        'y_max_value'       => $self->{'max_sum'},
        'y_min_value'       => $self->{'min_sum'},
        'x_labels_vertical' => 1,
        'dclrs'             => $self->dclrs(),
        'borderclrs'        => [('black')],
        'fgclr'             => 'black',
        'line_width'        => 3,
        'cumulate'          => 1,
        'bar_spacing'       => 0,
        'shadow_depth'      => 2,
        'shadowclr'         => '#acacac',
        );
    return $chart;
}

###############################################################################
1;
