package PureMessage::Reports::Report::Format::lines;

###############################################################################
# Required inclusions.
###############################################################################
use strict;
use PureMessage::Reports::Report::Format::chart qw(%defaults);
use base qw(PureMessage::Reports::Report::Format::graphical);
use GD::Graph::lines;

###############################################################################
# Returns a suitable chart object.
###############################################################################
sub chart
{
    my ($self) = @_;
    my $chart = GD::Graph::lines->new( $self->{'width'}, $self->{'height'} );
    $chart->set(
        'y_max_value'       => $self->{'max_value'},
        'y_min_value'       => $self->{'min_value'},
        'x_labels_vertical' => 1,
        'dclrs'             => $self->dclrs(),
        'borderclrs'        => [('black')],
        'fgclr'             => 'black',
        'line_width'        => 3,
        );
    return $chart;
}

1;
